# LazyClass

abstract class LazyClass < T : Any >

Lazy loading Class instance.

#### Parameters

classDefinition

the class definition.

initialize

whether to initialize the class with loader.

loader

the ClassLoader to load the class.

#### Inheritors

NonNull
Nullable

## Types

NonNull
Link copied to clipboard
class NonNull < T : Any > : LazyClass < T >

Create a non-null instance of Class.

Nullable
Link copied to clipboard
class Nullable < T : Any > : LazyClass < T >

Create a nullable instance of Class.